org.apache.tinkerpop.gremlin.structure.io.graphson

## Enum GraphSONVersion

- java.lang.Object
- - java.lang.Enum<GraphSONVersion>
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONVersion

- All Implemented Interfaces:
    Serializable, Comparable<GraphSONVersion>

      public enum GraphSONVersion
      extends Enum<GraphSONVersion>

  The set of available GraphSON versions.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V1_0`
    `V2_0`
    `V3_0`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONModule.GraphSONModuleBuilder` | `getBuilder()`
    `String` | `getVersion()`
    `static GraphSONVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphSONVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1_0

          public static final GraphSONVersion V1_0

    - #### V2_0

          public static final GraphSONVersion V2_0

    - #### V3_0

          public static final GraphSONVersion V3_0

  - ### Method Detail

    - #### values

          public static GraphSONVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphSONVersion c : GraphSONVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GraphSONVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBuilder

          public org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONModule.GraphSONModuleBuilder getBuilder()

    - #### getVersion

          public String getVersion()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.